### Function

# GLib atomic_ref_count_dec

since: 2.58

#### Declaration

    gboolean
    g_atomic_ref_count_dec (
      gatomicrefcount* arc
    )

#### Description

Atomically decreases the reference count.

If `TRUE` is returned, the reference count reached 0. After this point, `arc` is an undefined state and must be reinitialized with `g_atomic_ref_count_init()` to be used again.

Available since: 2.58

#### Parameters

`arc`

  Type: `gatomicrefcount*`

  The address of an atomic reference count variable.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the reference count reached 0, and `FALSE` otherwise.